/* 8051 diassembler interface */
#ifndef DISASM8051_H__
#define DISASM8051_H__

#include <stdint.h>

#include <lib.h>

BEGIN_C_DECLS

/* Disassemble INSN at PC, store opcode to *OPCODE (max. 5 chars,
   not to be freed), operands to BUF (64 chars);
   returns: number of bytes in instruction */
extern size_t
i8051_disasm (uint16_t pc, const uint8_t *insn, const char **opcode,
	      char *buf);

END_C_DECLS

#endif
