/* Expression input dialog -*-c++-*- */
#ifndef KCWATCHDIALOG_H__
#define KCWATCHDIALOG_H__

#include <qstring.h>

#include "kcexprdialogbase.h"

class QListView;

class KCExprDialog: public KCExprDialogBase
{
  Q_OBJECT
public:
  /** Create an "input expression" dialog with given title and initial
      expression */
  KCExprDialog (QWidget *parent, const QString &title,
		const QString &expression);
  ~KCExprDialog ();
  /** Get current expression value */
  QString expression () const;

protected slots:
  /** expressionText has changed */
  void expressionChanged ();
};

#endif
