/* Abstract base class for cereal view windows */


#include "kcmainwin.h"
#include "kcwindow.h"

/** Register itself in mainWin_ */
KCWindow::KCWindow (KCMainWin *mainWin_): mainWin (mainWin_)
{
  mainWin->registerView (this);
}

/** Unregister itself in mainWin */
KCWindow::~KCWindow ()
{
  mainWin->unregisterView (this);
}
