/* MI list view, which allows deleting using Delete key -*-c++-*-*/
#ifndef KHWMILIST_H__
#define KHWMILIST_H__

#include <klistview.h>

class QWidget;
class QKeyEvent;

class KHwMiList: public KListView
{
  Q_OBJECT
public:
  KHwMiList (QWidget *parent = 0, const char *name = 0);
  ~KHwMiList ();
  /** Reload contents from me_list */
  void reload ();
  
signals:
  void deletePressed ();

protected:
  /** Handle Delete key */
  void keyPressEvent (QKeyEvent *event);
};

#endif
