/* xmalloc () */
#include <config.h>

#include <errno.h>
#include <stdlib.h>

#include <lib.h>

/* malloc () SIZE bytes of memory, error () on failure;
   returns: pointer to allocated area */
void *
xmalloc (size_t size)
{
  void *ptr;

  ptr = malloc (size);
  if (ptr != NULL || size == 0)
    return ptr;
  error (errno, "cannot allocate memory");
  exit (EXIT_FAILURE);
}
