/* Data/Evaluate/Modify dialog -*-c++-*- */
#ifndef KCEVALMODIFYDIALOG_H__
#define KCEVALMODIFYDIALOG_H__

#include <qstring.h>

#include "kcevalmodifydialogbase.h"

class KCMainWin;

class KCEvalModifyDialog: public KCEvalModifyDialogBase
{
  Q_OBJECT
public:
  KCEvalModifyDialog (QWidget *parent, KCMainWin *mainWin);
  ~KCEvalModifyDialog ();

protected slots:
  /** exprText has changed */
  void exprChanged ();
  /** modifyButton was activated */
  void modifyClicked ();
  /** newValueText has changed */
  void newValueChanged ();

private:
  /** KCMainWin to notify when we modify port value */
  KCMainWin *mainWin_;
};

#endif
