/* KLineEdit with additional signals */

#include "kclineedit.h"

KCLineEdit::KCLineEdit (const QString &string, QWidget *parent,
			const char *name)
  : KLineEdit (string, parent, name)
{
}

KCLineEdit::KCLineEdit (QWidget *parent, const char *name)
  : KLineEdit (parent, name)
{
}
KCLineEdit::~KCLineEdit ()
{
}

/** Emit focusGained () */
void
KCLineEdit::focusInEvent (QFocusEvent *event)
{
  emit focusGained ();
  KLineEdit::focusInEvent (event);
}

/** Emit focusLost () */
void
KCLineEdit::focusOutEvent (QFocusEvent *event)
{
  emit focusLost ();
  KLineEdit::focusOutEvent (event);
}
