/* Select Module dialog -*-c++-*- */
#ifndef KCSELECTMODULEDIALOG_H__
#define KCSELECTMODULEDIALOG_H__

#include "kcselectmoduledialogbase.h"

struct cereal_module;
struct me_entry;

class KCSelectModuleDialog: public KCSelectModuleDialogBase
{
  Q_OBJECT
public:
  /** Create an "select module" dialog for module type */
  KCSelectModuleDialog (QWidget *parent, const struct cereal_module *type);
  ~KCSelectModuleDialog ();
  /** @returns module selected by user */
  struct me_entry *selectedModule () const;

protected slots:
  /** Return key was pressed */
  void returnPressed ();
  /** moduleList selection has changed */
  void selectionChanged ();
};

#endif
