/* Connection delete dialog */

#include <kpushbutton.h>
#include <kstdguiitem.h>
#include <qcheckbox.h>

#include "khwdeleteconnectiondialog.h"

KHwDeleteConnectionDialog::KHwDeleteConnectionDialog (QWidget *parent)
  : KHwDeleteConnectionDialogBase (parent)
{
  yesButton->setGuiItem (KStdGuiItem::yes ());
  noButton->setGuiItem (KStdGuiItem::no ());
}

KHwDeleteConnectionDialog::~KHwDeleteConnectionDialog ()
{
}

/** Enable/disable deletePeerCheckbox */
void
KHwDeleteConnectionDialog::setDeletePeerEnabled (bool enabled)
{
  deletePeerCheckbox->setEnabled (enabled);
}

/** Check/uncheck deletePeerCheckbox */
void
KHwDeleteConnectionDialog::setDeletePeerChecked (bool checked)
{
  deletePeerCheckbox->setChecked (checked);
}

/** Is deletePeerCheckbox checked? */
bool
KHwDeleteConnectionDialog::deletePeerChecked () const
{
  return deletePeerCheckbox->isChecked ();
}
