/* xrealloc () */
#include <config.h>

#include <errno.h>
#include <stdlib.h>

#include <lib.h>

/* realloc () PTR to SIZE bytes, error () on failure;
   returns: pointer to reallocated area */
void *
xrealloc (void *ptr, size_t size)
{
  void *res;

  res = realloc (ptr, size);
  if (res != NULL || size == 0)
    return res;
  error (errno, "cannot allocate memory");
  exit (EXIT_FAILURE);
}
